# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "upstream-ontologist"
version = "0.3.23"
authors = ["Jelmer Vernooĳ <jelmer@jelmer.uk>"]
build = "build.rs"
include = [
    "testdata",
    "readme_tests",
    "man",
    "build.rs",
    "src/*.rs",
    "README.md",
    "src/**/*.rs",
]
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
default-run = "guess-upstream-metadata"
description = "tracking of upstream project metadata"
homepage = "https://github.com/jelmer/upstream-ontologist"
readme = "README.md"
license = "GPL-2.0+"
repository = "https://github.com/jelmer/upstream-ontologist.git"

[features]
breezy = ["dep:breezyshim"]
cargo = ["dep:cargo_toml"]
cli = [
    "dep:clap",
    "dep:env_logger",
]
debcargo = ["dep:debcargo"]
debian = [
    "dep:debian-watch",
    "dep:makefile-lossless",
    "dep:debian-changelog",
    "dep:debian-control",
    "dep:debian-copyright",
    "dep:debversion",
]
debversion = ["dep:debversion"]
default = [
    "git-config",
    "launchpad",
    "opam",
    "dist-ini",
    "cargo",
    "r-description",
    "pyproject-toml",
    "python-pkginfo",
    "debian",
    "pyo3",
    "setup-cfg",
    "breezy",
]
dist-ini = ["dep:rust-ini"]
git-config = ["dep:gix-config"]
launchpad = ["dep:distro-info"]
opam = ["dep:opam-file-rs"]
pyo3 = ["dep:pyo3"]
pyproject-toml = [
    "dep:pyproject-toml",
    "dep:toml",
]
python-pkginfo = ["dep:python-pkginfo"]
r-description = ["dep:r-description"]
setup-cfg = ["dep:rust-ini"]

[lib]
name = "upstream_ontologist"
path = "src/lib.rs"

[[bin]]
name = "autocodemeta"
path = "src/bin/autocodemeta.rs"
required-features = ["cli"]

[[bin]]
name = "autodoap"
path = "src/bin/autodoap.rs"
required-features = ["cli"]

[[bin]]
name = "guess-upstream-metadata"
path = "src/bin/guess-upstream-metadata.rs"
required-features = ["cli"]

[dependencies.async-trait]
version = ">=0.1, <0.2"

[dependencies.base64]
version = ">=0.22, <0.23"

[dependencies.bit-set]
version = ">=0.5.3, <0.12"

[dependencies.bit-vec]
version = ">=0.6.3, <0.11"

[dependencies.breezyshim]
version = ">=0.7.13, <0.8"
optional = true
default-features = false

[dependencies.cargo_toml]
version = ">=0.22.0, <1.1"
optional = true

[dependencies.chrono]
version = ">=0.4.41, <0.5"

[dependencies.clap]
version = ">=4.5, <5"
features = [
    "derive",
    "env",
]
optional = true

[dependencies.configparser]
version = ">=3.0, <4"

[dependencies.debbugs]
version = ">=0.1.1, <0.2"
features = [
    "tokio",
    "mailparse",
]
default-features = false

[dependencies.debcargo]
version = ">=2.5, <3"
optional = true

[dependencies.debian-changelog]
version = ">=0.2.1, <0.3"
optional = true

[dependencies.debian-control]
version = ">=0.1.39, <0.4"
optional = true

[dependencies.debian-copyright]
version = ">=0.1.34, <0.2"
optional = true

[dependencies.debian-watch]
version = ">=0.4, <0.5"
optional = true

[dependencies.debversion]
version = ">=0.4.7, <0.6"
optional = true

[dependencies.distro-info]
version = ">=0.4, <0.5"
optional = true

[dependencies.env_logger]
version = ">=0.11, <0.12"
optional = true

[dependencies.futures]
version = ">=0.3.11, <0.4"

[dependencies.gix-config]
version = ">=0.54.0, <0.59"
features = ["sha1"]
optional = true

[dependencies.html5ever]
version = ">=0.26, <0.40"

[dependencies.lazy-regex]
version = ">=3.4, <4"

[dependencies.lazy_static]
version = ">=1.4, <2"

[dependencies.log]
version = ">=0.4.21, <0.5"

[dependencies.makefile-lossless]
version = ">=0.2, <0.4"
optional = true

[dependencies.maplit]
version = ">=1.0.2, <2"

[dependencies.opam-file-rs]
version = ">=0.1.1, <0.2"
optional = true

[dependencies.percent-encoding]
version = ">=2.3.2, <3"

[dependencies.pulldown-cmark]
version = ">=0.13.0, <0.14"

[dependencies.pyo3]
version = ">=0.27.0, <0.30"
optional = true

[dependencies.pyproject-toml]
version = ">=0.13.3, <0.14"
optional = true

[dependencies.python-pkginfo]
version = ">=0.6, <0.7"
optional = true

[dependencies.r-description]
version = ">=0.4, <0.5"
optional = true

[dependencies.regex]
version = ">=1.11, <2"

[dependencies.reqwest]
version = ">=0.12, <0.14"
features = ["json"]
default-features = false

[dependencies.rst_parser]
version = ">=0.4.2, <0.5"

[dependencies.rst_renderer]
version = ">=0.4.2, <0.5"

[dependencies.rust-ini]
version = ">=0.21, <0.22"
optional = true

[dependencies.select]
version = ">=0.6.0, <0.7"

[dependencies.semver]
version = ">=1.0.3, <2"
features = ["serde"]

[dependencies.serde]
version = ">=1.0.221, <2"
features = ["derive"]

[dependencies.serde_json]
version = ">=1.0.117, <2"

[dependencies.serde_norway]
version = ">=0.9.35, <0.10"

[dependencies.shlex]
version = ">=1.0, <3"

[dependencies.tendril]
version = ">=0.4.2, <0.6"

[dependencies.textwrap]
version = ">=0.16.2, <0.17"

[dependencies.tokio]
version = ">=1.13, <2"
features = ["full"]

[dependencies.toml]
version = ">=0.9.0, <2"
optional = true

[dependencies.url]
version = ">=2.5.7, <3"
features = ["serde"]

[dependencies.xmltree]
version = ">=0.10.3, <0.13"

[dev-dependencies.pretty_assertions]
version = ">=1.0, <2"

[dev-dependencies.tempfile]
version = ">=3.24, <4"

[build-dependencies.quote]
version = ">=1.0.41, <2"
